import java.awt.Checkbox;
import java.awt.CheckboxGroup;
import java.awt.Choice;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Panel;
import java.awt.Rectangle;

class DrawControls extends Panel {
   DrawPanel target;

   public DrawControls(DrawPanel target) {
      this.target = target;
      ((Container)this).setLayout(new FlowLayout());
      ((Component)this).setBackground(Color.lightGray);
      ((Component)target).setForeground(Color.red);
      CheckboxGroup group = new CheckboxGroup();
      Checkbox b;
      ((Container)this).add(b = new Checkbox((String)null, group, false));
      ((Component)b).setBackground(Color.red);
      ((Container)this).add(b = new Checkbox((String)null, group, false));
      ((Component)b).setBackground(Color.green);
      ((Container)this).add(b = new Checkbox((String)null, group, false));
      ((Component)b).setBackground(Color.blue);
      ((Container)this).add(b = new Checkbox((String)null, group, false));
      ((Component)b).setBackground(Color.pink);
      ((Container)this).add(b = new Checkbox((String)null, group, false));
      ((Component)b).setBackground(Color.orange);
      ((Container)this).add(b = new Checkbox((String)null, group, true));
      ((Component)b).setBackground(Color.black);
      ((Component)target).setForeground(((Component)b).getForeground());
      Choice shapes = new Choice();
      shapes.addItem("Lines");
      shapes.addItem("Points");
      ((Component)shapes).setBackground(Color.lightGray);
      ((Container)this).add(shapes);
   }

   public void paint(Graphics g) {
      Rectangle r = ((Component)this).bounds();
      g.setColor(Color.lightGray);
      g.draw3DRect(0, 0, r.width, r.height, false);
   }

   public boolean action(Event e, Object arg) {
      if (e.target instanceof Checkbox) {
         this.target.setForeground(((Component)e.target).getBackground());
      } else if (e.target instanceof Choice) {
         String choice = (String)arg;
         if (choice.equals("Lines")) {
            this.target.setDrawMode(0);
         } else if (choice.equals("Points")) {
            this.target.setDrawMode(1);
         }
      }

      return true;
   }
}
